CREATE TABLE ar_xla_lines_extract (
    EVENT_ID                        NUMBER(18, 0),
    BATCH_SOURCE_SEQ_ID             NUMBER(18, 0),
    LEGAL_ENTITY_ID                 NUMBER(18, 0),
    RESOURCE_SALESREP_ID            NUMBER(18, 0),
    REMIT_TO_ADDRESS_SEQ_ID         NUMBER(18, 0),
    LINE_NUMBER                     NUMBER(18, 0),
    LANGUAGE                        VARCHAR2(80) ,
    LEDGER_ID                       NUMBER(18, 0),
    SOURCE_ID                       NUMBER(18, 0),
    SOURCE_TABLE                    VARCHAR2(40) ,
    LINE_ID                         NUMBER(18, 0),
    TAX_CODE_ID                     NUMBER(18, 0),
    LOCATION_SEGMENT_ID             NUMBER(18, 0),
    BASE_CURRENCY_CODE              VARCHAR2(60) ,
    EXCHANGE_RATE_TYPE              VARCHAR2(120),
    EXCHANGE_RATE                   NUMBER       ,
    EXCHANGE_DATE                   DATE         ,
    ACCTD_AMOUNT                    NUMBER       ,
    TAXABLE_ACCTD_AMOUNT            NUMBER       ,
    ORG_ID                          NUMBER(18, 0)    NOT NULL,
    HEADER_TABLE_ID                 NUMBER(18, 0),
    POSTING_ENTITY                  VARCHAR2(80) ,
    CASH_RECEIPT_ID                 NUMBER(18, 0),
    CUSTOMER_TRX_ID                 NUMBER(18, 0),
    CUSTOMER_TRX_LINE_ID            NUMBER(18, 0),
    CUST_TRX_LINE_GL_DIST_ID        NUMBER(18, 0),
    CUST_TRX_LINE_SALESREP_ID       NUMBER(18, 0),
    INVENTORY_ITEM_ID               NUMBER(18, 0),
    SALES_TAX_ID                    NUMBER(18, 0),
    SO_ORGANIZATION_ID              NUMBER(18, 0),
    TAX_EXEMPTION_ID                NUMBER(18, 0),
    UOM_CODE                        VARCHAR2(12) ,
    WAREHOUSE_ID                    NUMBER(18, 0),
    AGREEMENT_ID                    NUMBER(18, 0),
    CUSTOMER_BANK_ACCT_ID           NUMBER(18, 0),
    DRAWEE_BANK_ACCOUNT_ID          NUMBER(18, 0),
    REMITTANCE_BANK_ACCT_ID         NUMBER(18, 0),
    DISTRIBUTION_SET_ID             NUMBER(18, 0),
    PAYMENT_SCHEDULE_ID             NUMBER(18, 0),
    RECEIPT_METHOD_ID               NUMBER(18, 0),
    RECEIVABLES_TRX_ID              NUMBER(18, 0),
    ED_ADJ_RECEIVABLES_TRX_ID       NUMBER(18, 0),
    UNED_RECEIVABLES_TRX_ID         NUMBER(18, 0),
    SET_OF_BOOKS_ID                 NUMBER(18, 0),
    SALESREP_ID                     NUMBER(18, 0),
    BILL_SITE_USE_ID                NUMBER(18, 0),
    DRAWEE_SITE_USE_ID              NUMBER(18, 0),
    PAYING_SITE_USE_ID              NUMBER(18, 0),
    SOLD_SITE_USE_ID                NUMBER(18, 0),
    SHIP_SITE_USE_ID                NUMBER(18, 0),
    RECEIPT_CUSTOMER_SITE_USE_ID    NUMBER(18, 0),
    BILL_CUST_ROLE_ID               NUMBER(18, 0),
    DRAWEE_CUST_ROLE_ID             NUMBER(18, 0),
    SHIP_CUST_ROLE_ID               NUMBER(18, 0),
    SOLD_CUST_ROLE_ID               NUMBER(18, 0),
    BILL_CUSTOMER_ID                NUMBER(18, 0),
    DRAWEE_CUSTOMER_ID              NUMBER(18, 0),
    PAYING_CUSTOMER_ID              NUMBER(18, 0),
    SOLD_CUSTOMER_ID                NUMBER(18, 0),
    SHIP_CUSTOMER_ID                NUMBER(18, 0),
    REMIT_ADDRESS_ID                NUMBER(18, 0),
    RECEIPT_BATCH_ID                NUMBER(18, 0),
    RECEIVABLE_APPLICATION_ID       NUMBER(18, 0),
    CUSTOMER_BANK_BRANCH_ID         NUMBER(18, 0),
    ISSUER_BANK_BRANCH_ID           NUMBER(18, 0),
    BATCH_SOURCE_ID                 NUMBER(18, 0),
    BATCH_ID                        NUMBER(18, 0),
    TERM_ID                         NUMBER(18, 0),
    SELECT_FLAG                     VARCHAR2(4)  ,
    LEVEL_FLAG                      VARCHAR2(4)  ,
    FROM_TO_FLAG                    VARCHAR2(4)  ,
    CRH_STATUS                      VARCHAR2(120),
    CRH_PRV_STATUS                  VARCHAR2(120),
    AMOUNT                          NUMBER       ,
    FROM_AMOUNT                     NUMBER       ,
    FROM_ACCTD_AMOUNT               NUMBER       ,
    PREV_FUND_SEG_REPLACE           VARCHAR2(4)  ,
    APP_CRH_STATUS                  VARCHAR2(120),
    PAIRED_CCID                     NUMBER       ,
    PAIRE_DIST_ID                   NUMBER       ,
    REF_DIST_CCID                   NUMBER       ,
    REF_MF_DIST_FLAG                VARCHAR2(60) ,
    ORIGIN_EXTRACT_TABLE            VARCHAR2(120),
    EVENT_TYPE_CODE                 VARCHAR2(120),
    EVENT_CLASS_CODE                VARCHAR2(120),
    ENTITY_CODE                     VARCHAR2(120),
    REVERSAL_CODE                   VARCHAR2(120),
    BUSINESS_FLOW_CODE              VARCHAR2(120),
    TAX_LINE_ID                     NUMBER(18, 0),
    ADDITIONAL_CHAR1                VARCHAR2(120),
    ADDITIONAL_CHAR2                VARCHAR2(120),
    ADDITIONAL_CHAR3                VARCHAR2(120),
    ADDITIONAL_CHAR4                VARCHAR2(120),
    ADDITIONAL_CHAR5                VARCHAR2(120),
    ADDITIONAL_ID1                  NUMBER       ,
    ADDITIONAL_ID2                  NUMBER       ,
    ADDITIONAL_ID3                  NUMBER       ,
    ADDITIONAL_ID4                  NUMBER       ,
    ADDITIONAL_ID5                  NUMBER       ,
    XLA_ENTITY_ID                   NUMBER(18, 0),
    REF_CTLGD_CCID                  NUMBER(18, 0),
    DIST_CCID                       NUMBER(18, 0),
    FROM_EXCHANGE_RATE              NUMBER       ,
    FROM_EXCHANGE_RATE_TYPE         VARCHAR2(120),
    FROM_EXCHANGE_DATE              DATE         ,
    FROM_CURRENCY_CODE              VARCHAR2(120),
    TO_CURRENCY_CODE                VARCHAR2(120),
    MFAR_ADDITIONAL_ENTRY           VARCHAR2(120),
    THIRD_PARTY_ID                  NUMBER(18, 0),
    THIRD_PARTY_SITE_ID             NUMBER(18, 0),
    THIRD_PARTY_TYPE                VARCHAR2(120),
    SOURCE_TYPE                     VARCHAR2(120),
    CM_APP_TO_TRX_LINE_ID           NUMBER(18, 0),
    BAL_SEG_VALUE                   VARCHAR2(100),
    SUBLEDGER_BC_COMPLETE_FLAG      VARCHAR2(4)  ,
    DATA_SET_ID                     NUMBER(18, 0),
    REF_TRX_DIST_ACCOUNTED_CCID     NUMBER(18, 0),
    EVENT_ID                        NUMBER(18, 0),
    BATCH_SOURCE_SEQ_ID             NUMBER(18, 0),
    LEGAL_ENTITY_ID                 NUMBER(18, 0),
    RESOURCE_SALESREP_ID            NUMBER(18, 0),
    REMIT_TO_ADDRESS_SEQ_ID         NUMBER(18, 0),
    LINE_NUMBER                     NUMBER(18, 0),
    LANGUAGE                        VARCHAR2(80) ,
    LEDGER_ID                       NUMBER(18, 0),
    SOURCE_ID                       NUMBER(18, 0),
    SOURCE_TABLE                    VARCHAR2(40) ,
    LINE_ID                         NUMBER(18, 0),
    TAX_CODE_ID                     NUMBER(18, 0),
    LOCATION_SEGMENT_ID             NUMBER(18, 0),
    BASE_CURRENCY_CODE              VARCHAR2(60) ,
    EXCHANGE_RATE_TYPE              VARCHAR2(120),
    EXCHANGE_RATE                   NUMBER       ,
    EXCHANGE_DATE                   DATE         ,
    ACCTD_AMOUNT                    NUMBER       ,
    TAXABLE_ACCTD_AMOUNT            NUMBER       ,
    ORG_ID                          NUMBER(18, 0)    NOT NULL,
    HEADER_TABLE_ID                 NUMBER(18, 0),
    POSTING_ENTITY                  VARCHAR2(80) ,
    CASH_RECEIPT_ID                 NUMBER(18, 0),
    CUSTOMER_TRX_ID                 NUMBER(18, 0),
    CUSTOMER_TRX_LINE_ID            NUMBER(18, 0),
    CUST_TRX_LINE_GL_DIST_ID        NUMBER(18, 0),
    CUST_TRX_LINE_SALESREP_ID       NUMBER(18, 0),
    INVENTORY_ITEM_ID               NUMBER(18, 0),
    SALES_TAX_ID                    NUMBER(18, 0),
    SO_ORGANIZATION_ID              NUMBER(18, 0),
    TAX_EXEMPTION_ID                NUMBER(18, 0),
    UOM_CODE                        VARCHAR2(12) ,
    WAREHOUSE_ID                    NUMBER(18, 0),
    AGREEMENT_ID                    NUMBER(18, 0),
    CUSTOMER_BANK_ACCT_ID           NUMBER(18, 0),
    DRAWEE_BANK_ACCOUNT_ID          NUMBER(18, 0),
    REMITTANCE_BANK_ACCT_ID         NUMBER(18, 0),
    DISTRIBUTION_SET_ID             NUMBER(18, 0),
    PAYMENT_SCHEDULE_ID             NUMBER(18, 0),
    RECEIPT_METHOD_ID               NUMBER(18, 0),
    RECEIVABLES_TRX_ID              NUMBER(18, 0),
    ED_ADJ_RECEIVABLES_TRX_ID       NUMBER(18, 0),
    UNED_RECEIVABLES_TRX_ID         NUMBER(18, 0),
    SET_OF_BOOKS_ID                 NUMBER(18, 0),
    SALESREP_ID                     NUMBER(18, 0),
    BILL_SITE_USE_ID                NUMBER(18, 0),
    DRAWEE_SITE_USE_ID              NUMBER(18, 0),
    PAYING_SITE_USE_ID              NUMBER(18, 0),
    SOLD_SITE_USE_ID                NUMBER(18, 0),
    SHIP_SITE_USE_ID                NUMBER(18, 0),
    RECEIPT_CUSTOMER_SITE_USE_ID    NUMBER(18, 0),
    BILL_CUST_ROLE_ID               NUMBER(18, 0),
    DRAWEE_CUST_ROLE_ID             NUMBER(18, 0),
    SHIP_CUST_ROLE_ID               NUMBER(18, 0),
    SOLD_CUST_ROLE_ID               NUMBER(18, 0),
    BILL_CUSTOMER_ID                NUMBER(18, 0),
    DRAWEE_CUSTOMER_ID              NUMBER(18, 0),
    PAYING_CUSTOMER_ID              NUMBER(18, 0),
    SOLD_CUSTOMER_ID                NUMBER(18, 0),
    SHIP_CUSTOMER_ID                NUMBER(18, 0),
    REMIT_ADDRESS_ID                NUMBER(18, 0),
    RECEIPT_BATCH_ID                NUMBER(18, 0),
    RECEIVABLE_APPLICATION_ID       NUMBER(18, 0),
    CUSTOMER_BANK_BRANCH_ID         NUMBER(18, 0),
    ISSUER_BANK_BRANCH_ID           NUMBER(18, 0),
    BATCH_SOURCE_ID                 NUMBER(18, 0),
    BATCH_ID                        NUMBER(18, 0),
    TERM_ID                         NUMBER(18, 0),
    SELECT_FLAG                     VARCHAR2(4)  ,
    LEVEL_FLAG                      VARCHAR2(4)  ,
    FROM_TO_FLAG                    VARCHAR2(4)  ,
    CRH_STATUS                      VARCHAR2(120),
    CRH_PRV_STATUS                  VARCHAR2(120),
    AMOUNT                          NUMBER       ,
    FROM_AMOUNT                     NUMBER       ,
    FROM_ACCTD_AMOUNT               NUMBER       ,
    PREV_FUND_SEG_REPLACE           VARCHAR2(4)  ,
    APP_CRH_STATUS                  VARCHAR2(120),
    PAIRED_CCID                     NUMBER       ,
    PAIRE_DIST_ID                   NUMBER       ,
    REF_DIST_CCID                   NUMBER       ,
    REF_MF_DIST_FLAG                VARCHAR2(60) ,
    ORIGIN_EXTRACT_TABLE            VARCHAR2(120),
    EVENT_TYPE_CODE                 VARCHAR2(120),
    EVENT_CLASS_CODE                VARCHAR2(120),
    ENTITY_CODE                     VARCHAR2(120),
    REVERSAL_CODE                   VARCHAR2(120),
    BUSINESS_FLOW_CODE              VARCHAR2(120),
    TAX_LINE_ID                     NUMBER(18, 0),
    ADDITIONAL_CHAR1                VARCHAR2(120),
    ADDITIONAL_CHAR2                VARCHAR2(120),
    ADDITIONAL_CHAR3                VARCHAR2(120),
    ADDITIONAL_CHAR4                VARCHAR2(120),
    ADDITIONAL_CHAR5                VARCHAR2(120),
    ADDITIONAL_ID1                  NUMBER       ,
    ADDITIONAL_ID2                  NUMBER       ,
    ADDITIONAL_ID3                  NUMBER       ,
    ADDITIONAL_ID4                  NUMBER       ,
    ADDITIONAL_ID5                  NUMBER       ,
    XLA_ENTITY_ID                   NUMBER(18, 0),
    REF_CTLGD_CCID                  NUMBER(18, 0),
    DIST_CCID                       NUMBER(18, 0),
    FROM_EXCHANGE_RATE              NUMBER       ,
    FROM_EXCHANGE_RATE_TYPE         VARCHAR2(120),
    FROM_EXCHANGE_DATE              DATE         ,
    FROM_CURRENCY_CODE              VARCHAR2(120),
    TO_CURRENCY_CODE                VARCHAR2(120),
    MFAR_ADDITIONAL_ENTRY           VARCHAR2(120),
    THIRD_PARTY_ID                  NUMBER(18, 0),
    THIRD_PARTY_SITE_ID             NUMBER(18, 0),
    THIRD_PARTY_TYPE                VARCHAR2(120),
    SOURCE_TYPE                     VARCHAR2(120),
    CM_APP_TO_TRX_LINE_ID           NUMBER(18, 0),
    BAL_SEG_VALUE                   VARCHAR2(100),
    SUBLEDGER_BC_COMPLETE_FLAG      VARCHAR2(4)  ,
    DATA_SET_ID                     NUMBER(18, 0),
    REF_TRX_DIST_ACCOUNTED_CCID     NUMBER(18, 0)
);
